GIT conversion ... DONE

classic Classic list List threaded Threaded
16 messages Options
Reply | Threaded
Open this post in threaded view
|

GIT conversion ... DONE

Edward Hervey
Hello hackers,

  All the main GStreamer modules are now converted to git and up.

  You can view them here http://cgit.freedesktop.org/gstreamer/ 
  The url to access each module is at the bottom of each of those
modules.

  The next steps are:
  * Finishing/activating the post-commit hook to send mails to the
commit mailing-list
  * Convert the GStreamer website pages containing cvs information to
mention the new git urls/usages.
  * Update the GitMigration wiki page, and migrate some information from
that page to gstreamer/docs/
  * Hacking

  I have currently got to leave for a conference dinner at LCA, but will
be back online after that to finish those.

  The last step (hacking) can be done without me being online :)
  Just remember that the decision was made that we no longer commit
changes to the ChangeLog file but only in the commit entry. The
ChangeLog files will be automatically generated at (pre-)release time
using a script mentionned in the GitMigration wiki page.

  Thanks to Daniel Stone from freedesktop.org for the help in the
administration side of things.

   CVS is dead, long live GIT !

     Edward


------------------------------------------------------------------------------
This SF.net email is sponsored by:
SourcForge Community
SourceForge wants to tell your story.
http://p.sf.net/sfu/sf-spreadtheword
_______________________________________________
gstreamer-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gstreamer-devel
Reply | Threaded
Open this post in threaded view
|

Re: GIT conversion ... DONE

Tim-Philipp Müller-2
On Wed, 2009-01-21 at 07:15 +0100, Edward Hervey wrote:

>    CVS is dead, long live GIT !

Yay! \o/

For those who still have modifications in their CVS developer checkouts,
you can convert them to anoncvs checkouts with something like this:

  find -type d -name CVS -exec sed -i -e
's/:ext:.*@cvs.freedesktop.org/:pserver:[hidden email]/' {}/Root \;
  touch ~/.cvspass

Cheers
 -Tim



------------------------------------------------------------------------------
This SF.net email is sponsored by:
SourcForge Community
SourceForge wants to tell your story.
http://p.sf.net/sfu/sf-spreadtheword
_______________________________________________
gstreamer-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gstreamer-devel
Reply | Threaded
Open this post in threaded view
|

Re: GIT conversion ... DONE

Jan Schmidt-6
In reply to this post by Edward Hervey
On Wed, 2009-01-21 at 07:15 +0100, Edward Hervey wrote:
> Hello hackers,
>
>   All the main GStreamer modules are now converted to git and up.
>
>   You can view them here http://cgit.freedesktop.org/gstreamer/ 
>   The url to access each module is at the bottom of each of those
> modules.
>

Hey hey,

Thanks for getting the conversion done and everything online. Jonathon
pointed to this commit as problematic:

http://cgit.freedesktop.org/gstreamer/gst-plugins-good/commit/?id=a3e95ebfc9586534fa26d7ea59f34987f6e78ad1

The author attribution is incorrect. I guess where there's one, there's
others too. How would we go about fixing that now? Is it worth fixing?

J.


>   The next steps are:
>   * Finishing/activating the post-commit hook to send mails to the
> commit mailing-list
>   * Convert the GStreamer website pages containing cvs information to
> mention the new git urls/usages.
>   * Update the GitMigration wiki page, and migrate some information from
> that page to gstreamer/docs/
>   * Hacking
>
>   I have currently got to leave for a conference dinner at LCA, but will
> be back online after that to finish those.
>
>   The last step (hacking) can be done without me being online :)
>   Just remember that the decision was made that we no longer commit
> changes to the ChangeLog file but only in the commit entry. The
> ChangeLog files will be automatically generated at (pre-)release time
> using a script mentionned in the GitMigration wiki page.
>
>   Thanks to Daniel Stone from freedesktop.org for the help in the
> administration side of things.
>
>    CVS is dead, long live GIT !
>
>      Edward
>
>
> ------------------------------------------------------------------------------
> This SF.net email is sponsored by:
> SourcForge Community
> SourceForge wants to tell your story.
> http://p.sf.net/sfu/sf-spreadtheword
> _______________________________________________
> gstreamer-devel mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/gstreamer-devel
>
--
Jan Schmidt <[hidden email]>


------------------------------------------------------------------------------
This SF.net email is sponsored by:
SourcForge Community
SourceForge wants to tell your story.
http://p.sf.net/sfu/sf-spreadtheword
_______________________________________________
gstreamer-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gstreamer-devel
Reply | Threaded
Open this post in threaded view
|

Re: GIT conversion ... DONE

Felipe Contreras
On Wed, Jan 21, 2009 at 11:49 AM, Jan Schmidt <[hidden email]> wrote:

> On Wed, 2009-01-21 at 07:15 +0100, Edward Hervey wrote:
>> Hello hackers,
>>
>>   All the main GStreamer modules are now converted to git and up.
>>
>>   You can view them here http://cgit.freedesktop.org/gstreamer/
>>   The url to access each module is at the bottom of each of those
>> modules.
>>
>
> Hey hey,
>
> Thanks for getting the conversion done and everything online. Jonathon
> pointed to this commit as problematic:
>
> http://cgit.freedesktop.org/gstreamer/gst-plugins-good/commit/?id=a3e95ebfc9586534fa26d7ea59f34987f6e78ad1
>
> The author attribution is incorrect. I guess where there's one, there's
> others too. How would we go about fixing that now? Is it worth fixing?

What about a graft point between the converted and new commits? It
would be transparent to users. That way the converted commits can be
fixed later without having to change the new commits.

--
Felipe Contreras

------------------------------------------------------------------------------
This SF.net email is sponsored by:
SourcForge Community
SourceForge wants to tell your story.
http://p.sf.net/sfu/sf-spreadtheword
_______________________________________________
gstreamer-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gstreamer-devel
Reply | Threaded
Open this post in threaded view
|

Re: GIT conversion ... DONE (hooks)

Tim-Philipp Müller-2
In reply to this post by Edward Hervey
On Wed, 2009-01-21 at 07:15 +0100, Edward Hervey wrote:

>   The next steps are:
>   * Finishing/activating the post-commit hook to send mails to the
> commit mailing-list
>   * Convert the GStreamer website pages containing cvs information to
> mention the new git urls/usages.
>   * Update the GitMigration wiki page, and migrate some information from
> that page to gstreamer/docs/

* set up pre-commit hooks?

Cheers
 -Tim



------------------------------------------------------------------------------
This SF.net email is sponsored by:
SourcForge Community
SourceForge wants to tell your story.
http://p.sf.net/sfu/sf-spreadtheword
_______________________________________________
gstreamer-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gstreamer-devel
Reply | Threaded
Open this post in threaded view
|

Re: GIT conversion ... DONE

Edward Hervey
In reply to this post by Jan Schmidt-6
On Wed, 2009-01-21 at 09:49 +0000, Jan Schmidt wrote:

> On Wed, 2009-01-21 at 07:15 +0100, Edward Hervey wrote:
> > Hello hackers,
> >
> >   All the main GStreamer modules are now converted to git and up.
> >
> >   You can view them here http://cgit.freedesktop.org/gstreamer/ 
> >   The url to access each module is at the bottom of each of those
> > modules.
> >
>
> Hey hey,
>
> Thanks for getting the conversion done and everything online. Jonathon
> pointed to this commit as problematic:
>
> http://cgit.freedesktop.org/gstreamer/gst-plugins-good/commit/?id=a3e95ebfc9586534fa26d7ea59f34987f6e78ad1
>
> The author attribution is incorrect. I guess where there's one, there's
> others too. How would we go about fixing that now? Is it worth fixing?
>
> J.

  I don't think this is a blocker issue. The authorname is still valid
in the commit message, and those are *historical* commits.

  After discussing in #gstreamer, we can add graft points later on if we
actually see actual problematic issues/commits without modifying the
head commit sha1 (and therefore not screwing up everybody
cloning/branching off the repositories).

   Edward

>
>
> >   The next steps are:
> >   * Finishing/activating the post-commit hook to send mails to the
> > commit mailing-list
> >   * Convert the GStreamer website pages containing cvs information to
> > mention the new git urls/usages.
> >   * Update the GitMigration wiki page, and migrate some information from
> > that page to gstreamer/docs/
> >   * Hacking
> >
> >   I have currently got to leave for a conference dinner at LCA, but will
> > be back online after that to finish those.
> >
> >   The last step (hacking) can be done without me being online :)
> >   Just remember that the decision was made that we no longer commit
> > changes to the ChangeLog file but only in the commit entry. The
> > ChangeLog files will be automatically generated at (pre-)release time
> > using a script mentionned in the GitMigration wiki page.
> >
> >   Thanks to Daniel Stone from freedesktop.org for the help in the
> > administration side of things.
> >
> >    CVS is dead, long live GIT !
> >
> >      Edward
> >
> >
> > ------------------------------------------------------------------------------
> > This SF.net email is sponsored by:
> > SourcForge Community
> > SourceForge wants to tell your story.
> > http://p.sf.net/sfu/sf-spreadtheword
> > _______________________________________________
> > gstreamer-devel mailing list
> > [hidden email]
> > https://lists.sourceforge.net/lists/listinfo/gstreamer-devel
> >


------------------------------------------------------------------------------
This SF.net email is sponsored by:
SourcForge Community
SourceForge wants to tell your story.
http://p.sf.net/sfu/sf-spreadtheword
_______________________________________________
gstreamer-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gstreamer-devel
Reply | Threaded
Open this post in threaded view
|

Re: GIT conversion ... DONE

Edward Hervey
On Thu, 2009-01-22 at 00:40 +0100, Edward Hervey wrote:

> On Wed, 2009-01-21 at 09:49 +0000, Jan Schmidt wrote:
> > On Wed, 2009-01-21 at 07:15 +0100, Edward Hervey wrote:
> > > Hello hackers,
> > >
> > >   All the main GStreamer modules are now converted to git and up.
> > >
> > >   You can view them here http://cgit.freedesktop.org/gstreamer/ 
> > >   The url to access each module is at the bottom of each of those
> > > modules.
> > >
> >
> > Hey hey,
> >
> > Thanks for getting the conversion done and everything online. Jonathon
> > pointed to this commit as problematic:
> >
> > http://cgit.freedesktop.org/gstreamer/gst-plugins-good/commit/?id=a3e95ebfc9586534fa26d7ea59f34987f6e78ad1
> >
> > The author attribution is incorrect. I guess where there's one, there's
> > others too. How would we go about fixing that now? Is it worth fixing?
> >
> > J.
>
>   I don't think this is a blocker issue. The authorname is still valid
> in the commit message, and those are *historical* commits.
>
>   After discussing in #gstreamer, we can add graft points later on if we
> actually see actual problematic issues/commits without modifying the
> head commit sha1 (and therefore not screwing up everybody
> cloning/branching off the repositories).

   So in fact we can't do this... because graft points are not part of
the clonable data (needs to be done manually on the client-side).

  What I propose as an intermediate solution for this (and so we can
actually get to *using* the repositories) is to push the
non-malaxed/non-cleaned-up raw converted repositories (which I have)
into /git/gstreamer/historical/*.git

  That way people can have a non-encumbered version of the repositories.

  Does that suit everybody ?

   Edward

>
>    Edward
>
> >
> >
> > >   The next steps are:
> > >   * Finishing/activating the post-commit hook to send mails to the
> > > commit mailing-list
> > >   * Convert the GStreamer website pages containing cvs information to
> > > mention the new git urls/usages.
> > >   * Update the GitMigration wiki page, and migrate some information from
> > > that page to gstreamer/docs/
> > >   * Hacking
> > >
> > >   I have currently got to leave for a conference dinner at LCA, but will
> > > be back online after that to finish those.
> > >
> > >   The last step (hacking) can be done without me being online :)
> > >   Just remember that the decision was made that we no longer commit
> > > changes to the ChangeLog file but only in the commit entry. The
> > > ChangeLog files will be automatically generated at (pre-)release time
> > > using a script mentionned in the GitMigration wiki page.
> > >
> > >   Thanks to Daniel Stone from freedesktop.org for the help in the
> > > administration side of things.
> > >
> > >    CVS is dead, long live GIT !
> > >
> > >      Edward
> > >
> > >
> > > ------------------------------------------------------------------------------
> > > This SF.net email is sponsored by:
> > > SourcForge Community
> > > SourceForge wants to tell your story.
> > > http://p.sf.net/sfu/sf-spreadtheword
> > > _______________________________________________
> > > gstreamer-devel mailing list
> > > [hidden email]
> > > https://lists.sourceforge.net/lists/listinfo/gstreamer-devel
> > >
>


------------------------------------------------------------------------------
This SF.net email is sponsored by:
SourcForge Community
SourceForge wants to tell your story.
http://p.sf.net/sfu/sf-spreadtheword
_______________________________________________
gstreamer-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gstreamer-devel
Reply | Threaded
Open this post in threaded view
|

Re: GIT conversion ... DONE (hooks)

Edward Hervey
In reply to this post by Tim-Philipp Müller-2
On Wed, 2009-01-21 at 12:17 +0000, Tim-Philipp Müller wrote:
> On Wed, 2009-01-21 at 07:15 +0100, Edward Hervey wrote:
>
> >   The next steps are:
> >   * Finishing/activating the post-commit hook to send mails to the
> > commit mailing-list
   DONE

> >   * Convert the GStreamer website pages containing cvs information to
> > mention the new git urls/usages.
   DONE

> >   * Update the GitMigration wiki page, and migrate some information from
> > that page to gstreamer/docs/
  The website 'developers' page has been updated to point to the new
repositories.

>
> * set up pre-commit hooks?
   DONE (automatically installed by autogen.sh). I'm currently updating
each module, but it's taking some time (slow internet here).

>
> Cheers
>  -Tim
>
>
>
> ------------------------------------------------------------------------------
> This SF.net email is sponsored by:
> SourcForge Community
> SourceForge wants to tell your story.
> http://p.sf.net/sfu/sf-spreadtheword
> _______________________________________________
> gstreamer-devel mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/gstreamer-devel


------------------------------------------------------------------------------
This SF.net email is sponsored by:
SourcForge Community
SourceForge wants to tell your story.
http://p.sf.net/sfu/sf-spreadtheword
_______________________________________________
gstreamer-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gstreamer-devel
Reply | Threaded
Open this post in threaded view
|

Re: GIT conversion ... DONE (hooks)

Sebastian Dröge-7
Am Donnerstag, den 22.01.2009, 05:54 +0100 schrieb Edward Hervey:
> > * set up pre-commit hooks?
>    DONE (automatically installed by autogen.sh). I'm currently updating
> each module, but it's taking some time (slow internet here).

The current pre-commit hook is broken if files are moved/deleted. The
patch below fixes this.

--- .git/hooks/pre-commit 2009-01-22 09:33:28.000000000 +0100
+++ .git/hooks/pre-commit 2009-01-22 10:36:36.000000000 +0100
@@ -7,7 +7,8 @@
 
 echo "--Checking style--"
 for file in `git-diff-index --name-only HEAD | grep "\.c$"` ; do
-tempfoo=`basename $0`
+    test -f ${file} || continue
+    tempfoo=`basename $0`
     newfile=`mktemp /tmp/${tempfoo}.XXXXXX` || exit 1
     indent \
  --braces-on-if-line \


------------------------------------------------------------------------------
This SF.net email is sponsored by:
SourcForge Community
SourceForge wants to tell your story.
http://p.sf.net/sfu/sf-spreadtheword
_______________________________________________
gstreamer-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gstreamer-devel

signature.asc (204 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: GIT conversion ... DONE (hooks)

Sebastian Dröge-7
Am Donnerstag, den 22.01.2009, 10:38 +0100 schrieb Sebastian Dröge:
> Am Donnerstag, den 22.01.2009, 05:54 +0100 schrieb Edward Hervey:
> > > * set up pre-commit hooks?
> >    DONE (automatically installed by autogen.sh). I'm currently updating
> > each module, but it's taking some time (slow internet here).
>
> The current pre-commit hook is broken if files are moved/deleted. The
> patch below fixes this.

And this still causes problems because indent is not giving the same
result when called twice on a file.

------------------------------------------------------------------------------
This SF.net email is sponsored by:
SourcForge Community
SourceForge wants to tell your story.
http://p.sf.net/sfu/sf-spreadtheword
_______________________________________________
gstreamer-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gstreamer-devel

signature.asc (204 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: GIT conversion ... DONE

Felipe Contreras
In reply to this post by Edward Hervey
On Thu, Jan 22, 2009 at 1:40 AM, Edward Hervey <[hidden email]> wrote:

> On Wed, 2009-01-21 at 09:49 +0000, Jan Schmidt wrote:
>> On Wed, 2009-01-21 at 07:15 +0100, Edward Hervey wrote:
>> > Hello hackers,
>> >
>> >   All the main GStreamer modules are now converted to git and up.
>> >
>> >   You can view them here http://cgit.freedesktop.org/gstreamer/
>> >   The url to access each module is at the bottom of each of those
>> > modules.
>> >
>>
>> Hey hey,
>>
>> Thanks for getting the conversion done and everything online. Jonathon
>> pointed to this commit as problematic:
>>
>> http://cgit.freedesktop.org/gstreamer/gst-plugins-good/commit/?id=a3e95ebfc9586534fa26d7ea59f34987f6e78ad1
>>
>> The author attribution is incorrect. I guess where there's one, there's
>> others too. How would we go about fixing that now? Is it worth fixing?
>>
>> J.
>
>  I don't think this is a blocker issue. The authorname is still valid
> in the commit message, and those are *historical* commits.
>
>  After discussing in #gstreamer, we can add graft points later on if we
> actually see actual problematic issues/commits without modifying the
> head commit sha1 (and therefore not screwing up everybody
> cloning/branching off the repositories).

I just found a couple of UTF-8 issues:
http://cgit.freedesktop.org/gstreamer/gst-ffmpeg/commit/?id=3627dbca5a51aeaced656455f43ff6c26a7ca6d1

--
Felipe Contreras

------------------------------------------------------------------------------
This SF.net email is sponsored by:
SourcForge Community
SourceForge wants to tell your story.
http://p.sf.net/sfu/sf-spreadtheword
_______________________________________________
gstreamer-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gstreamer-devel
Reply | Threaded
Open this post in threaded view
|

Re: GIT conversion ... DONE

Edward Hervey
On Sat, 2009-01-31 at 15:32 +0200, Felipe Contreras wrote:
>
> I just found a couple of UTF-8 issues:
> http://cgit.freedesktop.org/gstreamer/gst-ffmpeg/commit/?id=3627dbca5a51aeaced656455f43ff6c26a7ca6d1
>

Just to make it clear one last time. We're not rebasing the main modules
for such trivial issues.

  Edward


------------------------------------------------------------------------------
This SF.net email is sponsored by:
SourcForge Community
SourceForge wants to tell your story.
http://p.sf.net/sfu/sf-spreadtheword
_______________________________________________
gstreamer-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gstreamer-devel
Reply | Threaded
Open this post in threaded view
|

Re: GIT conversion ... DONE

Felipe Contreras
On Mon, Feb 2, 2009 at 10:44 AM, Edward Hervey <[hidden email]> wrote:
> On Sat, 2009-01-31 at 15:32 +0200, Felipe Contreras wrote:
>>
>> I just found a couple of UTF-8 issues:
>> http://cgit.freedesktop.org/gstreamer/gst-ffmpeg/commit/?id=3627dbca5a51aeaced656455f43ff6c26a7ca6d1
>>
>
> Just to make it clear one last time. We're not rebasing the main modules
> for such trivial issues.

I understand, I just want to make it clear that there are issues, I
found another one:
http://cgit.freedesktop.org/gstreamer/gstreamer/commit/?id=4594d70939a6ae0fbfb5761eb5cf4d56d4d914d5

Author:
Trivial commit, anonymous here <anonymous.hero@somewhere>

--
Felipe Contreras

------------------------------------------------------------------------------
This SF.net email is sponsored by:
SourcForge Community
SourceForge wants to tell your story.
http://p.sf.net/sfu/sf-spreadtheword
_______________________________________________
gstreamer-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gstreamer-devel
Reply | Threaded
Open this post in threaded view
|

Re: GIT conversion ... DONE

Edward Hervey
On Mon, 2009-02-02 at 11:33 +0200, Felipe Contreras wrote:

> On Mon, Feb 2, 2009 at 10:44 AM, Edward Hervey <[hidden email]> wrote:
> > On Sat, 2009-01-31 at 15:32 +0200, Felipe Contreras wrote:
> >>
> >> I just found a couple of UTF-8 issues:
> >> http://cgit.freedesktop.org/gstreamer/gst-ffmpeg/commit/?id=3627dbca5a51aeaced656455f43ff6c26a7ca6d1
> >>
> >
> > Just to make it clear one last time. We're not rebasing the main modules
> > for such trivial issues.
>
> I understand, I just want to make it clear that there are issues, I
> found another one:
> http://cgit.freedesktop.org/gstreamer/gstreamer/commit/?id=4594d70939a6ae0fbfb5761eb5cf4d56d4d914d5
>
> Author:
> Trivial commit, anonymous here <anonymous.hero@somewhere>
>
No, seriously, stop doing that. Not only is it pointless (nothing will
be rebased/changed)... but that anonymous author was in fact done in
purpose (there's no way to know who it is from the cvs committer id).

   Edward


------------------------------------------------------------------------------
This SF.net email is sponsored by:
SourcForge Community
SourceForge wants to tell your story.
http://p.sf.net/sfu/sf-spreadtheword
_______________________________________________
gstreamer-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gstreamer-devel
Reply | Threaded
Open this post in threaded view
|

Re: GIT conversion ... DONE

Tim-Philipp Müller-2
In reply to this post by Felipe Contreras
On Mon, 2009-02-02 at 11:33 +0200, Felipe Contreras wrote:

> > Just to make it clear one last time. We're not rebasing the main modules
> > for such trivial issues.
>
> I understand, I just want to make it clear that there are issues,

Why, what's the point?


> I found another one:
> http://cgit.freedesktop.org/gstreamer/gstreamer/commit/?id=4594d70939a6ae0fbfb5761eb5cf4d56d4d914d5
>
> Author:
> Trivial commit, anonymous here <anonymous.hero@somewhere>

This is a problem with the CVS repository data. Some commits map to
made-up user IDs instead of user accounts. We've been able to guess the
author of some of those commits from the ChangeLog entry or from the
code committed, but not all (they're all trivial commits iirc, so it
doesn't really matter that much anyway).

Cheers
 -Tim



------------------------------------------------------------------------------
This SF.net email is sponsored by:
SourcForge Community
SourceForge wants to tell your story.
http://p.sf.net/sfu/sf-spreadtheword
_______________________________________________
gstreamer-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gstreamer-devel
Reply | Threaded
Open this post in threaded view
|

Re: GIT conversion ... DONE

Felipe Contreras
On Mon, Feb 2, 2009 at 4:15 PM, Tim-Philipp Müller <[hidden email]> wrote:
> On Mon, 2009-02-02 at 11:33 +0200, Felipe Contreras wrote:
>
>> > Just to make it clear one last time. We're not rebasing the main modules
>> > for such trivial issues.
>>
>> I understand, I just want to make it clear that there are issues,
>
> Why, what's the point?

That is the point. So it becomes a known issue.

>> I found another one:
>> http://cgit.freedesktop.org/gstreamer/gstreamer/commit/?id=4594d70939a6ae0fbfb5761eb5cf4d56d4d914d5
>>
>> Author:
>> Trivial commit, anonymous here <anonymous.hero@somewhere>
>
> This is a problem with the CVS repository data. Some commits map to
> made-up user IDs instead of user accounts. We've been able to guess the
> author of some of those commits from the ChangeLog entry or from the
> code committed, but not all (they're all trivial commits iirc, so it
> doesn't really matter that much anyway).

IMHO "<cvs_user_id>" or "Unknown <cvs_user_id>" would make more sense,
but I really don't care.

As I said, I just wanted to point that out. I'm not pushing for a rebase.

--
Felipe Contreras

------------------------------------------------------------------------------
This SF.net email is sponsored by:
SourcForge Community
SourceForge wants to tell your story.
http://p.sf.net/sfu/sf-spreadtheword
_______________________________________________
gstreamer-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gstreamer-devel